/*
 * @(#)UriAction.java  1.0  2011-07-17
 * 
 * Copyright (c) 2011 Werner Randelshofer, Immensee, Switzerland.
 * All rights reserved.
 * 
 * You may not use, copy or modify this file, except in compliance with the
 * license agreement you entered into with Werner Randelshofer.
 * For details see accompanying license terms.
 */
package com.sun.pdfview.action;

import java.net.URI;

    // BEGIN PATCH W. Randelshofer
/**
 * {@code UriAction}.
 *
 * @author Werner Randelshofer
 * @version 1.0 2011-07-17 Created.
 */
public class UriAction extends PDFAction {

    private URI uri;

    public UriAction(URI uri) {
        super("URI");
        this.uri = uri;
    }

    public URI getURI() {
        return uri;
    }
    public String getUri() {
        return uri.toString();
    }
}
    // END PATCH W. Randelshofer
